.wp-block-buttons {
	.wp-block-button {
		transition: all 250ms cubic-bezier(0.455, 0.03, 0.515, 0.955);

		&:not(.is-style-outline) {
			.wp-block-button__link {
				display: inline-flex;
				align-items: center;
				position: relative;

				&::after {
					content: '';
					display: inline-block;
					margin-left: 8px;
					width: 12px;
					height: 12px;
					flex-shrink: 0;
					background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 12 12" fill="none"><path d="M9.13125 6.75H0V5.25H9.13125L4.93125 1.05L6 0L12 6L6 12L4.93125 10.95L9.13125 6.75Z" fill="%23F6F3EE"/></svg>');
					background-size: contain;
					background-repeat: no-repeat;
					background-position: center;
				}

				&:hover {
					background-color: #3F79A4;
				}

				&:focus,
				&:focus-visible {
					outline: none;
					background-color: #5A4730;
				}

				&:active {
					background-color: #2B2217 !important;
				}
			}
		}

		&.is-style-outline {
			.wp-block-button__link {
				display: inline-flex;
				align-items: center;
				position: relative;
				box-shadow: inset 0 0 0 2px var(--wp--preset--color--custom-m-rk-bl);

				&::after {
					content: '';
					display: inline-block;
					margin-left: 8px;
					width: 12px;
					height: 12px;
					flex-shrink: 0;
					background-image: url('data:image/svg+xml,<svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M9.13125 6.75H0V5.25H9.13125L4.93125 1.05L6 0L12 6L6 12L4.93125 10.95L9.13125 6.75Z" fill="%23103652"/></svg>');
					background-size: contain;
					background-repeat: no-repeat;
					background-position: center;
				}

				&:hover {
					background-color: #E4E9EF;
				}

				&:focus,
				&:focus-visible {
					outline: none;
					background-color: var(--wp--preset--color--custom-m-rk-bl);
					color: #F6F3EE;
				}

				&:active {
					background-color: transparent !important;
					box-shadow: inset 0 0 0 2px #967650;
					color: var(--wp--preset--color--custom-m-rk-bl);
				}
			}
		}
	}
}
